using System;
using System.Collections.Generic;
using System.ServiceModel;
using System.ServiceModel.Channels;
using System.Transactions;
using System.Text;
using System.Xml;

namespace Compensation
{
    [ServiceBehavior(InstanceContextMode=InstanceContextMode.Single,ConcurrencyMode=ConcurrencyMode.Multiple,ReleaseServiceInstanceOnTransactionComplete=false)]
    public class MyCompensator: ICompensate
    {
        [OperationBehavior(TransactionScopeRequired = true, TransactionAutoComplete = true)]
        public void Compensate(Message input)
        {
            XmlElement data = input.GetBody<XmlElement>();
            Console.WriteLine("Compensating for {0}.", data.OuterXml);
        }
    }
}
