using System;
using System.Collections.Generic;
using System.ServiceModel;
using System.Messaging;
using System.Text;

namespace Compensation
{
    class Program
    {
        private const string targetQueueName = @".\private$\MyTarget";

        public static void Main(string[] args)
        {
            if (!(MessageQueue.Exists(targetQueueName)))
            {
                MessageQueue.Create(targetQueueName, true);
            }

            using (ServiceHost host = new ServiceHost(typeof(MyService)))
            {
                host.Open();

                Console.WriteLine("The target service is available.");
                Console.ReadKey(true);

                host.Close();

            }
            

        }
    }
}
