﻿using System;
using System.ComponentModel;
using System.ComponentModel.Design;
using System.Collections;
using System.Drawing;
using System.Workflow.ComponentModel.Compiler;
using System.Workflow.ComponentModel.Serialization;
using System.Workflow.ComponentModel;
using System.Workflow.ComponentModel.Design;
using System.Workflow.Runtime;
using System.Workflow.Activities;
using System.Workflow.Activities.Rules;

namespace OrderProcessing
{
	public sealed partial class ProcessOrders: SequentialWorkflowActivity
	{
		public ProcessOrders()
		{
			InitializeComponent();
		}

        public static DependencyProperty callbackContextProperty = DependencyProperty.Register("callbackContext", typeof(System.Collections.Generic.IDictionary<System.String, System.String>), typeof(OrderProcessing.ProcessOrders));

        [DesignerSerializationVisibilityAttribute(DesignerSerializationVisibility.Visible)]
        [BrowsableAttribute(true)]
        [CategoryAttribute("Parameters")]
        public System.Collections.Generic.IDictionary<string, String> callbackContext
        {
            get
            {
                return ((System.Collections.Generic.IDictionary<string, string>)(base.GetValue(OrderProcessing.ProcessOrders.callbackContextProperty)));
            }
            set
            {
                base.SetValue(OrderProcessing.ProcessOrders.callbackContextProperty, value);
            }
        }

        public static DependencyProperty CustomerNameProperty = DependencyProperty.Register("CustomerName", typeof(System.String), typeof(OrderProcessing.ProcessOrders));

        [DesignerSerializationVisibilityAttribute(DesignerSerializationVisibility.Visible)]
        [BrowsableAttribute(true)]
        [CategoryAttribute("Parameters")]
        public String CustomerName
        {
            get
            {
                return ((string)(base.GetValue(OrderProcessing.ProcessOrders.CustomerNameProperty)));
            }
            set
            {
                base.SetValue(OrderProcessing.ProcessOrders.CustomerNameProperty, value);
            }
        }

        public int ShippingCosts { get; set; }
        public bool KeepGettingItems { get; set; }

        private void codeActivity1_ExecuteCode(object sender, EventArgs e)
        {
            KeepGettingItems = true;
            //set callback context
            sendActivity1.Context = callbackContext;
            System.Diagnostics.Debug.WriteLine("Inside the server workflow");

        }

        private void codeActivity2_ExecuteCode(object sender, EventArgs e)
        {
            KeepGettingItems = false;
        }

        private void ComputeShippingCosts_ExecuteCode(object sender, EventArgs e)
        {
            Random r = new Random();
            ShippingCosts = r.Next(300);
            System.Diagnostics.Debug.WriteLine("Inside Compute Shipping Costs");

        }

       

        

    
    }

}
