﻿using System;
using System.ComponentModel;
using System.ComponentModel.Design;
using System.Collections;
using System.Drawing;
using System.Workflow.ComponentModel.Compiler;
using System.Workflow.ComponentModel.Serialization;
using System.Workflow.ComponentModel;
using System.Workflow.ComponentModel.Design;
using System.Workflow.Runtime;
using System.Workflow.Activities;
using System.Workflow.Activities.Rules;

namespace OrderSubmitter
{
	public sealed partial class Workflow1: SequentialWorkflowActivity
	{
		public Workflow1()
		{
			InitializeComponent();
		}

        public static DependencyProperty ContextToSendProperty = DependencyProperty.Register("ContextToSend", typeof(System.Collections.Generic.IDictionary<string, System.String>), typeof(OrderSubmitter.Workflow1));

        [DesignerSerializationVisibilityAttribute(DesignerSerializationVisibility.Visible)]
        [BrowsableAttribute(true)]
        [CategoryAttribute("Parameters")]
        public System.Collections.Generic.IDictionary<string, String> ContextToSend
        {
            get
            {
                return ((System.Collections.Generic.IDictionary<string, string>)(base.GetValue(OrderSubmitter.Workflow1.ContextToSendProperty)));
            }
            set
            {
                base.SetValue(OrderSubmitter.Workflow1.ContextToSendProperty, value);
            }
        }

        
        public static DependencyProperty shippingCostProperty = DependencyProperty.Register("shippingCost", typeof(System.Int32), typeof(OrderSubmitter.Workflow1));

        [DesignerSerializationVisibilityAttribute(DesignerSerializationVisibility.Visible)]
        [BrowsableAttribute(true)]
        [CategoryAttribute("Parameters")]
        public Int32 shippingCost
        {
            get
            {
                return ((int)(base.GetValue(OrderSubmitter.Workflow1.shippingCostProperty)));
            }
            set
            {
                base.SetValue(OrderSubmitter.Workflow1.shippingCostProperty, value);
            }
        }

       

        
        private void GrabToken(object sender, SendActivityEventArgs e)
        {
            ContextToSend = receiveActivity1.Context;
            Console.WriteLine("Received token to send along");
        }

        private void codeActivity1_ExecuteCode(object sender, EventArgs e)
        {
            Console.WriteLine("Received the shipping cost of {0}", shippingCost);
        }

	}

}
