﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.Text;
using System.Xml;

namespace Long_Running_Work
{
    // NOTE: If you change the interface name "IService1" here, you must also update the reference to "IService1" in App.config.
    [ServiceContract]
    public interface ILongRunningWork
    {
        [OperationContract]
        string TakeAWhile(int i);

        [OperationContract(IsOneWay = true)]
        void OneWayTakeAWhile( int i);
        
        [OperationContract(IsOneWay = true)]
        void TakeAWhileAndTellMeLater(IDictionary<XmlQualifiedName,string> contextToken, int i);
    }


    [ServiceContract]
    public interface IReverseContract
    {
        [OperationContract(IsOneWay = true)]
        void TakeAWhileAndTellMeLaterDone(string s);
    }
   
}
