﻿using System;
using System.ComponentModel;
using System.ComponentModel.Design;
using System.Collections;
using System.Drawing;
using System.Workflow.ComponentModel.Compiler;
using System.Workflow.ComponentModel.Serialization;
using System.Workflow.ComponentModel;
using System.Workflow.ComponentModel.Design;
using System.Workflow.Runtime;
using System.Workflow.Activities;
using System.Workflow.Activities.Rules;

namespace CallLongRunningComponents
{
	public sealed partial class WorkflowWithmessaging: SequentialWorkflowActivity
	{
		public WorkflowWithmessaging()
		{
			InitializeComponent();
		}

        private void codeActivity1_ExecuteCode(object sender, EventArgs e)
        {
            Console.WriteLine("Branch 1 received {0}", s1);

        }

        private void codeActivity2_ExecuteCode(object sender, EventArgs e)
        {
            Console.WriteLine("Branch 2 Received {0}", s2);

        }

        private void codeActivity3_ExecuteCode(object sender, EventArgs e)
        {
            Console.WriteLine("Branch 3 Received {0}", s3);

        }

        public static DependencyProperty s1Property = DependencyProperty.Register("s1", typeof(System.String), typeof(CallLongRunningComponents.WorkflowWithmessaging));

        [DesignerSerializationVisibilityAttribute(DesignerSerializationVisibility.Visible)]
        [BrowsableAttribute(true)]
        [CategoryAttribute("Parameters")]
        public String s1
        {
            get
            {
                return ((string)(base.GetValue(CallLongRunningComponents.WorkflowWithmessaging.s1Property)));
            }
            set
            {
                base.SetValue(CallLongRunningComponents.WorkflowWithmessaging.s1Property, value);
            }
        }

        public static DependencyProperty s2Property = DependencyProperty.Register("s2", typeof(System.String), typeof(CallLongRunningComponents.WorkflowWithmessaging));

        [DesignerSerializationVisibilityAttribute(DesignerSerializationVisibility.Visible)]
        [BrowsableAttribute(true)]
        [CategoryAttribute("Parameters")]
        public String s2
        {
            get
            {
                return ((string)(base.GetValue(CallLongRunningComponents.WorkflowWithmessaging.s2Property)));
            }
            set
            {
                base.SetValue(CallLongRunningComponents.WorkflowWithmessaging.s2Property, value);
            }
        }

        public static DependencyProperty s3Property = DependencyProperty.Register("s3", typeof(System.String), typeof(CallLongRunningComponents.WorkflowWithmessaging));

        [DesignerSerializationVisibilityAttribute(DesignerSerializationVisibility.Visible)]
        [BrowsableAttribute(true)]
        [CategoryAttribute("Parameters")]
        public String s3
        {
            get
            {
                return ((string)(base.GetValue(CallLongRunningComponents.WorkflowWithmessaging.s3Property)));
            }
            set
            {
                base.SetValue(CallLongRunningComponents.WorkflowWithmessaging.s3Property, value);
            }
        }

        private void InitializeContext1(object sender, SendActivityEventArgs e)
        {

        }

        public static DependencyProperty b1ContextProperty = DependencyProperty.Register("b1Context", typeof(System.Collections.Generic.IDictionary<string, System.String>), typeof(CallLongRunningComponents.WorkflowWithmessaging));

        [DesignerSerializationVisibilityAttribute(DesignerSerializationVisibility.Visible)]
        [BrowsableAttribute(true)]
        [CategoryAttribute("Parameters")]
        public System.Collections.Generic.IDictionary<string, String> b1Context
        {
            get
            {
                return ((System.Collections.Generic.IDictionary<string, string>)(base.GetValue(CallLongRunningComponents.WorkflowWithmessaging.b1ContextProperty)));
            }
            set
            {
                base.SetValue(CallLongRunningComponents.WorkflowWithmessaging.b1ContextProperty, value);
            }
        }

        public static DependencyProperty b2ContextProperty = DependencyProperty.Register("b2Context", typeof(System.Collections.Generic.IDictionary<string, System.String>), typeof(CallLongRunningComponents.WorkflowWithmessaging));

        [DesignerSerializationVisibilityAttribute(DesignerSerializationVisibility.Visible)]
        [BrowsableAttribute(true)]
        [CategoryAttribute("Parameters")]
        public System.Collections.Generic.IDictionary<string, String> b2Context
        {
            get
            {
                return ((System.Collections.Generic.IDictionary<string, string>)(base.GetValue(CallLongRunningComponents.WorkflowWithmessaging.b2ContextProperty)));
            }
            set
            {
                base.SetValue(CallLongRunningComponents.WorkflowWithmessaging.b2ContextProperty, value);
            }
        }

        public static DependencyProperty b3contextProperty = DependencyProperty.Register("b3context", typeof(System.Collections.Generic.IDictionary<string, System.String>), typeof(CallLongRunningComponents.WorkflowWithmessaging));

        [DesignerSerializationVisibilityAttribute(DesignerSerializationVisibility.Visible)]
        [BrowsableAttribute(true)]
        [CategoryAttribute("Parameters")]
        public System.Collections.Generic.IDictionary<string, String> b3context
        {
            get
            {
                return ((System.Collections.Generic.IDictionary<string, string>)(base.GetValue(CallLongRunningComponents.WorkflowWithmessaging.b3contextProperty)));
            }
            set
            {
                base.SetValue(CallLongRunningComponents.WorkflowWithmessaging.b3contextProperty, value);
            }
        }

        DateTime startTime;

        private void codeActivity4_ExecuteCode(object sender, EventArgs e)
        {
            //initializeContextVariables
            b1Context = receiveActivity1.Context;
            b2Context = receiveActivity2.Context;
            b3context = receiveActivity3.Context;
            startTime = DateTime.Now;
        }

        private void codeActivity5_ExecuteCode(object sender, EventArgs e)
        {
            Console.WriteLine("Received Back the messages in {0} seconds", DateTime.Now.Subtract(startTime).Seconds);

        }
	}

}
