<%@ Page Language="C#" Debug="true" ValidateRequest="false" %>
<%@ Import Namespace="System.IdentityModel.Claims" %>
<%@ Import Namespace="Microsoft.IdentityModel.TokenProcessor" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<script runat="server">
    protected void ShowError(string errtext)
    {
        divFields.Visible = false;
        divErrors.Visible = true;
        lblErrtext.Text   = errtext;
    }
    protected void Page_Load(object sender, EventArgs e)
    {
        string xmlToken;
        xmlToken = Request.Params["xmlToken"];
        if ( xmlToken == null || xmlToken.Equals("") )
        {
            ShowError("Token presented was null");
        }
        else
        {
            Token token = new Token(xmlToken);
            lblGivenname.Text = token.Claims[ClaimTypes.GivenName];
            lblSurname.Text   = token.Claims[ClaimTypes.Surname];
            lblEmail.Text     = token.Claims[ClaimTypes.Email];
            lblPpid.Text      = token.Claims[ClaimTypes.PPID];
            lblUid.Text       = token.UniqueID;
        }        
    }
</script>

<html xmlns="http://www.w3.org/1999/xhtml" >
    <head id="Head1" runat="server">
        <title>Login Page</title>
    </head>
    <body>
        <form id="form1" runat="server">
            <div runat="server" id="divFields">
		<table runat="server" id="tblClaims" border="1" summary="Claim Values">
		    <tr><th>Claim</th><th>Value</th>
</tr>
		    <tr>
                        <td>Given Name</td>


                        <td><asp:Label ID="lblGivenname" runat="server" Text=""></asp:Label></td>
                    </tr>
		    <tr>
                        <td>Surname</td>
                        <td><asp:Label ID="lblSurname" runat="server" Text=""></asp:Label></td>
                    </tr>
		    <tr>
                        <td>Email Address</td>
                        <td><asp:Label ID="lblEmail" runat="server" Text=""></asp:Label></td>
                    </tr>
		    <tr>
                        <td>PPID</td>
                        <td><asp:Label ID="lblPpid" runat="server" Text=""></asp:Label></td>
                    </tr>
		    <tr>
                        <td>Unique ID</td>
                        <td><asp:Label ID="lblUid" runat="server" Text=""></asp:Label></td>
                    </tr>
                </table>
            </div>
            <div runat="server" id="divErrors" visible="false">
                Error:<asp:Label ID="lblErrtext" runat="server" Text=""></asp:Label><br/>
            </div>        
        </form>
    </body>
</html>
