﻿using System;
using System.Collections.Generic;
using System.Configuration;
using System.ServiceModel;
using System.ServiceModel.Security;
using System.Web.Security;
using System.Text;

namespace Service
{
	class Program
	{
		static void Main(string[] args)
		{
            using (ServiceHost host = 
                new ServiceHost(typeof(ResourceAccessServiceType)))
			{
                host.Credentials.IssuedTokenAuthentication.CertificateValidationMode = X509CertificateValidationMode.PeerOrChainTrust;
				host.Open();

				Console.WriteLine(string.Format("The service is listening at {0}.  Press any key to terminate the service.  ",host.Description.Endpoints[0].Address.Uri.AbsoluteUri));
				Console.ReadLine();
			}
			
		}


		
	}
}
