using System;
using System.Collections.Generic;
using System.ServiceModel.Description;
using System.ServiceModel.Dispatcher;
using System.Text;

namespace Extensibility
{
	public class MyMessageFormatter: IClientMessageFormatter, IOperationBehavior
	{
		IClientMessageFormatter defaultFormatter = null;

		#region IOperationBehavior Members

		public void AddBindingParameters(OperationDescription description, System.ServiceModel.Channels.BindingParameterCollection parameters)
		{
		}

		public void ApplyClientBehavior(OperationDescription description, ClientOperation proxy)
		{
			this.defaultFormatter = proxy.Formatter;
			proxy.Formatter = this;
		}

		public void ApplyDispatchBehavior(OperationDescription description, DispatchOperation dispatch)
		{
		}

		public void Validate(OperationDescription description)
		{
		}

		#endregion

		#region IClientFormatter Members

		public object DeserializeReply(System.ServiceModel.Channels.Message message, object[] parameters)
		{
			Console.WriteLine("I am playing with how the response is deserialized");
			return this.defaultFormatter.DeserializeReply(message, parameters);
		}

		public System.ServiceModel.Channels.Message SerializeRequest(System.ServiceModel.Channels.MessageVersion messageVersion, object[] parameters)
		{
			Console.WriteLine("I am playing with how the request is serialized");
			return this.defaultFormatter.SerializeRequest(messageVersion, parameters);
		}

		#endregion
	}
}
