using System;
using System.Collections.Generic;
using System.ServiceModel;
using System.ServiceModel.Channels;
using System.ServiceModel.Description;
using System.ServiceModel.Dispatcher;
using System.Text;

namespace Extensibility
{
    public class Program
    {
        static ServiceHost host = null;

        static void Main(string[] args)
        {
            host = new ServiceHost(typeof(Service));
            
            host.Description.Endpoints[0].Behaviors.Add(new MyMessageInspector());

			
            host.Open();
            
            Console.WriteLine("Service is ready.");
			Console.ReadKey(true);

            host.Close();
			
        }

        
    }
}
