using System;
using System.Collections.Generic;
using System.IO;
using System.Net;
using System.Net.Sockets;
using System.Text;

namespace Client
{
    class Program
    {
        static void Main(string[] args)
        {
            Console.WriteLine("Press any key when the server is ready.");
            Console.ReadKey(true);


            Connect("localhost", "Hello, World!");

            
        }

        static void Connect(String server, String message)
        {


            try
            {

                Int32 port = 8000;
                TcpClient client = new TcpClient(server, port);
                byte[] data = null;
                NetworkStream stream = null;
                string responseData = null;
                Int32 bytes;
                byte index = 0;

                while (true)
                {
                    if (index == 10)
                    {
                        message = "Stop";
                    }
                    if (index <= 10)
                    {
                        data = System.Text.Encoding.ASCII.GetBytes(message);

                        stream = client.GetStream();
                        
                        stream.Write(data, 0, data.Length);

                        Console.WriteLine("Sent: {0}", message);

                    }
                    
                    data = new Byte[256];

                    responseData = String.Empty;

                    try
                    {
                        bytes = stream.Read(data, 0, data.Length);
                    }
                    catch (IOException)
                    {
                        break;
                    }
                    responseData = System.Text.Encoding.ASCII.GetString(data, 0, bytes);
                    Console.WriteLine("Received: {0}", responseData);
                    index++;
                }

                stream.Close();
                client.Close();
            }
            catch (ArgumentNullException e)
            {
                Console.WriteLine("ArgumentNullException: {0}", e);
            }
            catch (SocketException e)
            {
                Console.WriteLine("SocketException: {0}", e);
            }

            
        }


    }


}
