using System;
using System.Collections.Generic;
using System.Text;

namespace PublicationSubscription
{
	public class BufferedDataPointValue: IBufferedDataPointValue
	{
		private Guid dataPointIdentifier;
		private byte[] value = null;

		private BufferedDataPointValue()
		{
		}

		internal BufferedDataPointValue(Guid dataPointIdentifier, byte[] value)
		{
			this.dataPointIdentifier = dataPointIdentifier;
			this.value = value;
		}

		#region IBufferedDataPointValue Members

		Guid IBufferedDataPointValue.DataPointIdentifier
		{
			get 
			{
				return this.dataPointIdentifier;
			}
		}

		byte[] IBufferedDataPointValue.Value
		{
			get 
			{
				return this.value;
			}
		}

		#endregion
}
}
