using System;
using System.Collections.Generic;
using System.ServiceModel;
using System.Text;

namespace PublicationSubscription
{
	public class Program
	{
		public static void Main(string[] arguments)
		{
			Console.WriteLine("Press any key when the publication service is available.");
			Console.ReadKey();

			Subscriber subscriber = new Subscriber();
			using (ServiceHost subscriberHost = new ServiceHost(subscriber))
			{
				subscriberHost.Open();
				
				Console.WriteLine("The subscriber is available.");

				subscriber.Subscribe();

				Console.ReadKey();

				subscriberHost.Close();

			}
			
		}
	}
}
