﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.ServiceModel.Syndication;
using System.ServiceModel.Web;
using System.Text;

namespace SyndicationService
{
    // NOTE: If you change the interface name "IFeed1" here, you must also update the reference to "IFeed1" in App.config.
    [ServiceContract]
    [ServiceKnownType(typeof(Atom10FeedFormatter))]
    [ServiceKnownType(typeof(Rss20FeedFormatter))]
    public interface IFeed1
    {

        [OperationContract]
        [WebGet(UriTemplate = "/rss/*", BodyStyle = WebMessageBodyStyle.Bare)]
        SyndicationFeedFormatter CreateRssFeed();

        // TODO: Add your service operations here
        [OperationContract]
        [WebGet(UriTemplate = "/atom/*", BodyStyle = WebMessageBodyStyle.Bare)]
        SyndicationFeedFormatter CreateAtomFeed();

    }
}
