using System;
using System.Collections.Generic;
using System.ServiceModel;
using System.ServiceModel.Channels;
using System.Transactions;
using System.Text;

namespace Compensation
{
    [ServiceBehavior(InstanceContextMode=InstanceContextMode.PerSession,ConcurrencyMode=ConcurrencyMode.Single,ReleaseServiceInstanceOnTransactionComplete=true)]
    public class MyService: IMyServiceContract
    {
        public MyService()
        {
        }

        
        [OperationBehavior(TransactionScopeRequired = true, TransactionAutoComplete = true)]
        public void FirstOperation(string input)
        {
            Console.WriteLine("Read {0}.", input);
        }

        [OperationBehavior(TransactionScopeRequired = true, TransactionAutoComplete = true)]
        public void SecondOperation(string input)
        {
            Console.WriteLine("Read {0}.", input);
        }



        
        
    }
}
