using System;
using System.ComponentModel;
using System.ComponentModel.Design;
using System.Collections;
using System.Drawing;
using System.Workflow.ComponentModel;
using System.Workflow.ComponentModel.Design;
using System.Workflow.ComponentModel.Compiler;
using System.Workflow.ComponentModel.Serialization;
using System.Workflow.Runtime;
using System.Workflow.Activities;
using System.Workflow.Activities.Rules;

namespace WCFUnleashedSamples
{
	public partial class BasicCustomActivity: Activity
	{
		public BasicCustomActivity()
		{
			InitializeComponent();
		}

        public static DependencyProperty StringToPrintProperty = System.Workflow.ComponentModel.DependencyProperty.Register("StringToPrint", typeof(string), typeof(BasicCustomActivity));

        [Description("this is the string to print")]
        [Category("Text")]
        [Browsable(true)]
        [DesignerSerializationVisibility(DesignerSerializationVisibility.Visible)]
        public string StringToPrint
        {
            get
            {
                return ((string)(base.GetValue(BasicCustomActivity.StringToPrintProperty)));
            }
            set
            {
                base.SetValue(BasicCustomActivity.StringToPrintProperty, value);
            }
        }

        protected override ActivityExecutionStatus Execute(ActivityExecutionContext executionContext)
        {
            Console.WriteLine(StringToPrint);
            return base.Execute(executionContext);
        }
	}
}
