﻿using System;
using System.ComponentModel;
using System.ComponentModel.Design;
using System.Collections;
using System.Drawing;
using System.Workflow.ComponentModel;
using System.Workflow.ComponentModel.Design;
using System.Workflow.ComponentModel.Compiler;
using System.Workflow.ComponentModel.Serialization;
using System.Workflow.Runtime;
using System.Workflow.Activities;
using System.Workflow.Activities.Rules;

namespace CallLongRunningComponents
{
    [PersistOnClose]
	public partial class CourseGrainedEncapsulate: SequenceActivity
	{
		public CourseGrainedEncapsulate()
		{
			InitializeComponent();
		}

        public static DependencyProperty sProperty = DependencyProperty.Register("s", typeof(System.String), typeof(CallLongRunningComponents.CourseGrainedEncapsulate));

        [DesignerSerializationVisibilityAttribute(DesignerSerializationVisibility.Visible)]
        [BrowsableAttribute(true)]
        [CategoryAttribute("Parameters")]
        public String s
        {
            get
            {
                return ((string)(base.GetValue(CallLongRunningComponents.CourseGrainedEncapsulate.sProperty)));
            }
            set
            {
                base.SetValue(CallLongRunningComponents.CourseGrainedEncapsulate.sProperty, value);
            }
        }

        public static DependencyProperty contextTokenProperty = DependencyProperty.Register("contextToken", typeof(System.Collections.Generic.IDictionary<System.Xml.XmlQualifiedName, System.String>), typeof(CallLongRunningComponents.CourseGrainedEncapsulate));

        [DesignerSerializationVisibilityAttribute(DesignerSerializationVisibility.Visible)]
        [BrowsableAttribute(true)]
        [CategoryAttribute("Parameters")]
        public System.Collections.Generic.IDictionary<System.Xml.XmlQualifiedName, String> contextToken
        {
            get
            {
                return ((System.Collections.Generic.IDictionary<System.Xml.XmlQualifiedName, string>)(base.GetValue(CallLongRunningComponents.CourseGrainedEncapsulate.contextTokenProperty)));
            }
            set
            {
                base.SetValue(CallLongRunningComponents.CourseGrainedEncapsulate.contextTokenProperty, value);
            }
        }

        public static DependencyProperty iProperty = DependencyProperty.Register("i", typeof(System.Int32), typeof(CallLongRunningComponents.CourseGrainedEncapsulate));

        [DesignerSerializationVisibilityAttribute(DesignerSerializationVisibility.Visible)]
        [BrowsableAttribute(true)]
        [CategoryAttribute("Parameters")]
        public Int32 i
        {
            get
            {
                return ((int)(base.GetValue(CallLongRunningComponents.CourseGrainedEncapsulate.iProperty)));
            }
            set
            {
                base.SetValue(CallLongRunningComponents.CourseGrainedEncapsulate.iProperty, value);
            }
        }

        private void InitializeContext(object sender, SendActivityEventArgs e)
        {
            this.contextToken = receiveActivity1.Context;
        }
	}
}
