﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ServiceModel;
using System.Workflow.Activities;
using System.Workflow.ComponentModel;
using System.Workflow.Runtime;

namespace SimpleHost
{
    class Program
    {
        static void Main(string[] args)
        {

            using (WorkflowServiceHost abc = new WorkflowServiceHost(typeof(Intro1.Workflow1)))
            {
                abc.AddServiceEndpoint(typeof(Intro1.IWorkflow1),
                                    new NetTcpContextBinding(),
                                    "net.tcp://localhost:10001/Intro1");

                abc.Open();

                Console.WriteLine("Please press enter to exit the host");

                Console.ReadLine();
                abc.Close();
         

            }
        }
    }
}
