using System;
using System.Collections.Generic;
using System.Text;

namespace BasicWCFClient
{
    class Program
    {
        static void Main(string[] args)
        {
            SimpleProxy sp = new SimpleProxy();
            Console.WriteLine("Press <ENTER> when service is ready");
            Console.ReadLine();
            sp.FireOffWorkflow("Hello World");
            Console.WriteLine("Fired Off Asynchronous Workflow, press <ENTER> to move to the next test");
            Console.ReadLine();
            Guid guid = Guid.NewGuid();
            sp.StartWorkflow(guid, "Hello WCF World");
            Console.WriteLine("Press <ENTER> to send an additional message");
            Console.ReadLine();
            sp.SendMessage(guid, "More Messages");
            Console.WriteLine("All Done, press <ENTER> to exit");
            Console.ReadLine();
            
            
        }
    }
}
