using System;
using System.Collections.Generic;
using System.ServiceModel;
using System.ServiceModel.Description;
using System.ServiceModel.Dispatcher;
using System.Text;

namespace Extensibility
{
	public class MyParameterInspector: IOperationBehavior, IParameterInspector
	{
         
        
		#region IOperationBehavior Members

		public void AddBindingParameters(OperationDescription description, System.ServiceModel.Channels.BindingParameterCollection parameters)
		{
		}

		public void ApplyClientBehavior(OperationDescription description, ClientOperation proxy)
		{
			proxy.ParameterInspectors.Add(this);
		}

		public void ApplyDispatchBehavior(OperationDescription description, DispatchOperation dispatch)
		{
		}

		public void Validate(OperationDescription description)
		{
		}

		#endregion
         

		#region IParameterInspector Members

		public void AfterCall(string operationName, object[] outputs, object returnValue, object correlationState)
		{
			Console.WriteLine("I am playing games with the parameters after the call.");
		}

		public object BeforeCall(string operationName, object[] inputs)
		{
            Console.WriteLine("I am playing games with the parameters before the call.");
			inputs[0] = "Hello, Fred!";
			return null;
		}

		#endregion

        
    }
}
