using System;
using System.Collections.Generic;
using System.ServiceModel;
using System.Text;

namespace Extensibility
{
    public class Client: ClientBase<ISimple>, ISimple
    {
        private Client()
        {
        }

        public Client(string endpointConfigurationName)
            : base(endpointConfigurationName)
        {
            base.Endpoint.Contract.Operations[0].Behaviors.Add(new MyParameterInspector());
            base.Endpoint.Contract.Operations[0].Behaviors.Add(new MyMessageFormatter());
            base.Endpoint.Behaviors.Add(new MyOperationSelector());
            //base.Endpoint.Behaviors.Add(new MyMessageInspector());
        }

        #region ISimple Members

        public void AcceptRequest(string someRequest)
        {
            base.Channel.AcceptRequest(someRequest);
        }

        #endregion
    }
}
