using System;
using System.Collections.Generic;
using System.ServiceModel.Channels;
using System.ServiceModel.Description;
using System.ServiceModel.Dispatcher;
using System.Text;

namespace Extensibility
{
	public class MyOperationSelector: IDispatchOperationSelector, IEndpointBehavior
	{
		
		#region IEndpointBehavior Members

		public void AddBindingParameters(ServiceEndpoint serviceEndpoint, BindingParameterCollection bindingParameters)
		{
		}

		public void ApplyClientBehavior(ServiceEndpoint serviceEndpoint, ClientRuntime behavior)
		{
			
		}

		public void ApplyDispatchBehavior(ServiceEndpoint serviceEndpoint, EndpointDispatcher endpointDispatcher)
		{
			endpointDispatcher.DispatchRuntime.OperationSelector = this;

		}

		public void Validate(ServiceEndpoint serviceEndpoint)
		{
		}

		#endregion

		#region IDispatchOperationSelector Members

		public string SelectOperation(ref System.ServiceModel.Channels.Message message)
		{
			Console.WriteLine("I am deciding to which operation the message is dispatched, based on the Action header.");
			switch (message.Headers.Action)
			{
				case @"http://tempuri.org/ISimple/AcceptRequest":
					return "AcceptRequest";
				default:
					Console.WriteLine("Uh, oh!");
					return null;
			}
			
		}

		#endregion
	}
}
