using System;
using System.Collections.Generic;
using System.ServiceModel;
using System.ServiceModel.Description;
using System.Web.Services.Description;
using System.Text;

namespace Extensibility
{
    [AttributeUsage(AttributeTargets.Interface)]
	public class MyContractBehavior: Attribute, IWsdlExportExtension, IContractBehavior
	{
		#region IWsdlExportExtension Members

		public void ExportContract(WsdlExporter exporter, WsdlContractConversionContext context)
		{
			Console.WriteLine("I am playing with the metadata that is being exported.");

			Import myImport = new Import();
			myImport.Location = "http://someorganization.org/somenamespace/their.wsdl";
			myImport.Namespace = "http://someorganization.org/somenamespace/";

			context.WsdlPortType.ServiceDescription.Imports.Add(myImport);

			
		}

		public void ExportEndpoint(WsdlExporter exporter, WsdlEndpointConversionContext context)
		{
			
		}

		#endregion



        #region IContractBehavior Members

        public void AddBindingParameters(ContractDescription contractDescription, ServiceEndpoint endpoint, System.ServiceModel.Channels.BindingParameterCollection bindingParameters)
        {
        }

        public void ApplyClientBehavior(ContractDescription contractDescription, ServiceEndpoint endpoint, System.ServiceModel.Dispatcher.ClientRuntime clientRuntime)
        {
        }

        public void ApplyDispatchBehavior(ContractDescription contractDescription, ServiceEndpoint endpoint, System.ServiceModel.Dispatcher.DispatchRuntime dispatchRuntime)
        {            
        }

        public void Validate(ContractDescription contractDescription, ServiceEndpoint endpoint)
        {
        }

        #endregion
    }
}
