using System;
using System.Collections.Generic;
using System.ServiceModel;
using System.ServiceModel.Channels;
using System.Text;

namespace Extensibility
{
    public class Client: ClientBase<ISimple>, ISimple
    {
        private Client()
        {
        }

        public Client(Binding binding, EndpointAddress address)
            : base(binding, address)
        {
        }

        #region ISimple Members

        public string AcceptRequest(string someRequest)
        {
            return base.Channel.AcceptRequest(someRequest);
        }
         

        

        #endregion
    }
}
