﻿using System;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.ServiceModel.Activation;
using System.ServiceModel.Web;

namespace TimeServices
{
    [ServiceContract(Namespace = "TimeServices")]
    public interface ITimeService
    {
        // Add [WebGet] attribute to use HTTP GET
        [OperationContract]
        string GetTime();
    }

    [AspNetCompatibilityRequirements(RequirementsMode = AspNetCompatibilityRequirementsMode.Allowed)]
    public class TimeService : ITimeService
    {
        public string GetTime()
        {
            return DateTime.Now.ToString();
        }
    }

}
